Bug 885268 - dracut corrupts raid1 metadata when set to load md-raid and dm-raid
dracut corrupts raid1 metadata when set to load md-raid and dm-raid
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jes Sorensen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-07 19:51 EST by Joshua Covington
Modified: 2013-07-31 21:08 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:08:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joshua Covington 2012-12-07 19:51:29 EST
Description of problem:
When I boot without rd.md=0 and rd.dm=0 then dracut properly detects my raid1 but it somehow marks the metadata of the array as durty which makes it resync itself. In addtition to this the detected array partitions cannot be accessed. No error messages are shown. mdadm just freezes and I cannot mount any of the detected raid partitions.

When I boot with rd.md=0 and rd.dm=0 then the array is properly set but each hdd partition is listed 3 times (1x sda1; 1x sdb1; 1x md126p1) in konqueror und gnome (I don't know the name its file manager). In this case I can properly access each partion but if I intentionally touch any of the raid-disks, then they start resyncing.

Version-Release number of selected component (if applicable):
kernel-3.9.2.fc17
mdadm-3.2.6-3
dracut-018-105.git20120927.fc17

How reproducible:
Boot with any imsm raid1 array and without rd.md=0 and rd.dm=0

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Paritions either not accessable or listed more than once.

Expected results:
The raid should be detected and porperly initiallized at startup without making it resync itself. Then only the raid partitions should be visible in any file manager, not the actual hdd-paritions.

Additional info:
I'm not sure if this is really a dracut bug or should be filed against udev or udevadm or maybe mdadm? This also happens with f18 and rawhide.
Comment 1 Harald Hoyer 2012-12-14 04:38:23 EST
If your root or /usr device is not on raid, you should always have "rd.md=0 rd.dm=0" on your kernel command line.

Anyway, the problem will soon go away, as we will not autoassemble devices anymore in future dracut versions.
Comment 2 Joshua Covington 2012-12-14 06:01:47 EST
Will there be another helpers (or so) that will do the assembling at startup? What should I do in the mean time? As I said the partitions are listed 3 times in the file explorer.

If I manually deassemble and then reassemble the array after startup then everything is fine in the file explorerr...
Comment 3 Joshua Covington 2013-01-06 04:11:41 EST
Will anyone EVER take a look at this??? It's a month without any useful comments!
Comment 4 Jes Sorensen 2013-01-24 06:00:09 EST
Well we have other bugs to look at as well. Second your bug report is
incomplete. You haven't provided any information about the actual raid
configuration and partition layouts such as /proc/mounts and /proc/mdstat
output, and do you use LVM or not?

As Harald already stated, if you don't have / or /usr on raid, it should
not auto-assemble the array in the initrd, and the assembly then depends
on your /etc/mdadm.conf settings

Please start out by trying the fixes listed in
https://bugzilla.redhat.com/show_bug.cgi?id=879327

Jes
Comment 5 Jes Sorensen 2013-04-29 05:01:43 EDT
Did you get this resolved based on the above fixes or is this still an issue?

Jes
Comment 6 Fedora End Of Life 2013-07-03 18:55:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 21:08:17 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.